<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net5.0-windows</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <StartupObject>wispro.sp.winClient.Program</StartupObject>
    <PublishSingleFile>true</PublishSingleFile>
    <RuntimeIdentifier>win-x64</RuntimeIdentifier>
    <IncludeContentInSingleFile>true</IncludeContentInSingleFile>
    <SelfContained>true</SelfContained>
    <!--启用使用assemby修剪-仅支持自包含应用程序-->
    <PublishTrimmed> true </PublishTrimmed>
    <SignAssembly>false</SignAssembly>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.json" />
    <None Remove="ExcelFiles\20210903-威世博常用绩效点数计算规则-v2-lcy.xls" />
    <None Remove="ExcelFiles\20210903-威世博常用绩效点数计算规则-v3-lcy.xls" />
    <None Remove="ExcelFiles\20211109-绩效点数规则-lcy-v1.xlsx" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="ExcelFiles\20211109-绩效点数规则-lcy-v1.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DynamicExpresso.Core" Version="2.9.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.9">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="NPOI" Version="2.5.4" />
    <PackageReference Include="PinYinConverterCore" Version="1.0.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\wispro.sp.share\wispro.sp.share.csproj" />
    <ProjectReference Include="..\wispro.sp.utility\wispro.sp.utility.csproj" />
    <ProjectReference Include="..\wospro.sp.entity\wispro.sp.entity.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="ExcelFiles\21.01-21.06 工程师绩效报表-总表.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ExcelFiles\210730-威世博人员清单v1r01-xm.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>

</Project>